#include <iostream>

int main() {
    int n, q;
    int arr[500000], temp_and[500000], temp_xor[500000];
    scanf("%d", &n, &q);
    for (int i=0; i<n; i++) scanf("%d", &arr[i]);

    for (int i=1; i<n; i++) {
        temp_and[i]=arr[i-1] & arr[i];
        temp_xor[i]=arr[i-1] ^ arr[i];
    }

    for (int i=0; i<q; i++) {
        int l, r;
        scanf("%d%d", &l, &r);


    }
    return 0;
}